Bug 191652 - vnc (client) corrupts display and initiates screensaver
vnc (client) corrupts display and initiates screensaver
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-05-14 13:30 EDT by Mike Cohler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: vnc-4.1.1-38.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 16:04:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Cohler 2006-05-14 13:30:31 EDT
Description of problem: vnc connection with settings on auto ( with a fast
connection ) produces display corruption and excessive updates, as well as
initiating screensaver every few seconds on the remote (server) machine.
This makes using the connection very difficult. The initial screen if the remote
machine is on the login screen repaints at high colour depth and is stable
initially, but as soon as user login is achieved at the remote machine the above
problems begin.

Version-Release number of selected component (if applicable):vnc-4.1.1-36.fc5
( and previous version )

How reproducible:Always

Steps to Reproduce:
1. on the server machine in xorg.conf include Load "vnc", and have 
     Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        Option  "passwordFile" "/opt/Local/etc/vnc/passwd"
or similar

2. restart X on server machine
3. use vnc client to make vnc connection to the server machine
Actual results:If both machines running FC5 up to date with yum updates, then
screen repainting occurs too frequently (with cursor switching to a dot
frequently) and the highest colour depth is used. The remote machine tries to
start the screensaver (for KDE) every few seconds, and once logged out the
screen does not repaint properly until the mouse is moved over the text - which
does appear when the mouse is passed over text on the remote machine. The cursor
changes to a "dot" after a very short time of inactivity.

Expected results:The client screen should look the same as server screen. It
should not repaint at a rate which cannot give a usable desktop on the client.

Additional info:This can be worked around by selecting "F8" and choosing
"Options", then unselecting "auto select" and changing the colour setting to
"Medium (256) colours". Once this has been done then the connection behaves and
is usable.

This should not be necessary to get a reliable and trouble free connection. The
default should give a working connection.
Comment 1 Mike Cohler 2006-05-14 15:12:34 EDT
I spoke too soon - the workaround I suggested does not fix the problem !
Comment 2 Mike Cohler 2006-05-19 16:53:24 EDT
With the new version in the recent updates (vnc-4.1.1-38.fc5) this problem is
resolved. Therefore please close this bug as resolved.

Note You need to log in before you can comment on or make changes to this bug.